package com.op.wms.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.op.common.core.annotation.Excel;
import com.op.common.core.web.domain.TreeEntity;

/**
 * 工厂模型对象 sys_factory
 * 
 * @author Open Platform
 * @date 2023-07-03
 */
public class SysFactory extends TreeEntity {
	private static final long serialVersionUID = 1L;

	/** 工厂id */
	private Long factoryId;

	/** 部门名称 */
	@Excel(name = "工厂名称")
	private String factoryName;

	/** 负责人 */
	@Excel(name = "负责人")
	private String leader;

	/** 联系电话 */
	@Excel(name = "联系电话")
	private String phone;

	/** 邮箱 */
	@Excel(name = "邮箱")
	private String email;

	/** 部门状态（0正常 */
	@Excel(name = "工厂状态")
	private String status;

	/** 删除标志（0代表存在 */
	private String delFlag;

	/** 工厂编码 */
	@Excel(name = "工厂编码")
	private String factoryCode;

	public void setFactoryId(Long factoryId) {
		this.factoryId = factoryId;
	}

	public Long getFactoryId() {
		return factoryId;
	}

	public void setFactoryName(String factoryName) {
		this.factoryName = factoryName;
	}

	public String getFactoryName() {
		return factoryName;
	}

	public void setLeader(String leader) {
		this.leader = leader;
	}

	public String getLeader() {
		return leader;
	}
	public void setPhone(String phone) {
		this.phone = phone;
	}

	public String getPhone() {
		return phone;
	}
	public void setEmail(String email) {
		this.email = email;
	}

	public String getEmail() {
		return email;
	}
	public void setStatus(String status) {
		this.status = status;
	}

	public String getStatus() {
		return status;
	}
	public void setDelFlag(String delFlag) {
		this.delFlag = delFlag;
	}

	public String getDelFlag() {
		return delFlag;
	}

	public String getFactoryCode() {
		return factoryCode;
	}
	public void setFactoryCode(String factoryCode) {
		this.factoryCode = factoryCode;
	}

	@Override
	public String toString() {
		return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
			.append("factoryId", getFactoryId())
			.append("parentId", getParentId())
			.append("ancestors", getAncestors())
			.append("factoryName", getFactoryName())
			.append("orderNum", getOrderNum())
			.append("leader", getLeader())
			.append("phone", getPhone())
			.append("email", getEmail())
			.append("status", getStatus())
			.append("delFlag", getDelFlag())
			.append("createBy", getCreateBy())
			.append("createTime", getCreateTime())
			.append("updateBy", getUpdateBy())
			.append("updateTime", getUpdateTime())
				.append("factoryCode", getFactoryCode())
				.toString();
	}
}
